package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.BeHospitalizedDoc;
import com.lantone.qc.pub.model.doc.FirstPageRecordDoc;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0519
 * @Description : 户口地址与入院记录不一致
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class FIRP0519 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        BeHospitalizedDoc beHospitalizedDoc = inputInfo.getBeHospitalizedDoc();
        FirstPageRecordDoc firstPageRecordDoc = inputInfo.getFirstPageRecordDoc();
        if (beHospitalizedDoc != null && firstPageRecordDoc != null) {
            Map<String, String> structureMap_bh = beHospitalizedDoc.getStructureMap();
            Map<String, String> structureMap_fpr = firstPageRecordDoc.getStructureMap();
            String bhAddress = structureMap_bh.get("户口地址");
            String fprAddress = structureMap_fpr.get("户口地址");
            if (StringUtil.isBlank(bhAddress) || StringUtil.isBlank(fprAddress)) {
                return;
            }
            if (!bhAddress.equals(fprAddress)) {
                status.set("-1");
            }
        }
    }
}